# <%=widget_title%>

<%=widget_description%>

## Information

| name                  | version           | bundle           |
| ----------------------|:-----------------:| ----------------:|
| <%=widget_name%>      |<%=widget_version%>| <%=bundle_name%>       |

## Widget Checklist

 - [ ] Fault Tolerance: Widget gracefully behaves/fails with loss of connection.
 - [ ] Fault Tolerance: Widget gracefully fails if session is lost.
 - [ ] Fault Tolerance: Widget gracefully and productively handles error responses.
 - [ ] Extensibility: Look and feel is manageable via theming.
 - [ ] Security: Secure from XSS.
 - [ ] Security: Secure from CSRF.
 - [ ] Accessibility: Support for color blind users.
 - [ ] Accessibility: Support for users with motor-inability (keyboard navigation).
 - [ ] Accessibility: Support for users who are blind (screen reader).
 - [ ] i18n: All UI messages are externalized and localizable.
 - [ ] i18n: All dates and numbers are localized.
 - [ ] i18n: Works RTL.
 - [ ] Mobile: SDK compatible.
 - [ ] Mobile: Widget is responsive to mobile & tablet.
 - [ ] Documentation: Reference files linked from README.
 - [ ] Documentation: Dependencies (bower & UI components used) listed in README.
 - [ ] Documentation: Modules/classes JSDoc.
 - [ ] Documentation: Widget feature list documented.
 - [ ] Testing: Distribution folder

## Dependencies

* [base][base-url]
* [core][core-url]
* [ui][ui-url]

## Dev Dependencies

* [angular-mocks ~1.2.28][angular-mocks-url]
* [config][config-url]

## Preferences
- List of widget preferences

## Events
- List of event the widget publishes/subscribes

## Custom Components
- list of widget custom components (if any)

## Requirements

### User Requirements

### Business Requirements

## References

[base-url]:http://stash.backbase.com:7990/projects/lpm/repos/foundation-base/browse/
[core-url]: http://stash.backbase.com:7990/projects/lpm/repos/foundation-core/browse/
[ui-url]: http://stash.backbase.com:7990/projects/lpm/repos/ui/browse/
[config-url]: https://stash.backbase.com/projects/LP/repos/config/browse
[api-url]:http://stash.backbase.com:7990/projects/LPM/repos/api/browse/
[angular-mocks-url]:https://github.com/angular/bower-angular-mocks
